Page MenuHome

No OpenSubdiv compute devices available
Closed, InvalidPublic

Description

System Information
Windows 7 x64 Ultimate
AMD Radeon HD4870X2

Blender Version
Broken: later test-builds, RC1, RC2
Worked: one of the first test-builds for 2.76

Short description of error
Unable to select any OpenSubdiv compute device (neither GPU nor CPU) even though it was possible to select one in early test-builds.

Exact steps for others to reproduce the error
Nothing special, just open Blender, go to user preferences->System, and cannot select any device.

Details

Type
Bug

Event Timeline

John Jack (Xizu) added a project: BF Blender.
John Jack (Xizu) set Type to Bug.
John Jack (Xizu) added a subscriber: John Jack (Xizu).
John Jack (Xizu) created this task.
John Jack (Xizu) raised the priority of this task from to Needs Triage by Developer.
Bastien Montagne (mont29) triaged this task as Needs Information from User priority.

If nothing is shown, it's most likely that Blender does not detect your GPU as being able to handle OSD requirements. Given yours, it’s likely a driver issue, so first you should try if not yet done is to update them to latest version.

If this still fails, please attach here the report generated by Help -> System Info.

Aaron Carlisle (Blendify) closed this task as Archived.
Aaron Carlisle (Blendify) claimed this task.

Please read the documentation here:

Currently GLSL Compute evaluator is disabled for AMD hardware. This is because of issue in the OpenSubdiv itself which is being worked on but didn't quite managed to be solved before Blender release.

@Aaron Carlisle (Blendify) only GLSL OSD is disabled on AMD GPUs, not whole OSD (CPU & OMP options shall remain available, provided drawing capacities are met)!

Sorry for the misunderstanding read it too quickly

John Jack (Xizu) added a comment.EditedSep 24 2015, 9:29 PM

Since it's an old card the latest drivers are Catalyst 13.9 which are installed.

Bastien Montagne (mont29) claimed this task.

Thanks, can confirm your driver/GPU does not support ARB_gpu_shader5, which is required to draw OSD (see also T45717 for details).